DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# RandomSeedVector

Initialise random number generator

## SYNOPSIS

`#include "dip_noise.h"`

dip_Error RandomSeedVector ( random, seedvector )

## FUNCTION

Initializes a `dip_Random` structure with a given seed value vector. The vector must have `DIP_MT_STATE_SIZE` (==624) values. This is an alternative to `RandomSeed`, which, by initialising with a 32-bit integer, only gives 4 billion different sequences. `RandomSeedVector` allows to initialise the whole status of the random number generator.

## ARGUMENTS

Data type | Name | Description
`dip_Random *` | `random` | Pointer to a random value structure
`dip_uint32[DIP_MT_STATE_SIZE]` | `seedvector` | Seed value vector

## SEE ALSO

`RandomSeed`, `RandomVariable`, `UniformRandomVariable`, `GaussianRandomVariable`, `PoissonRandomVariable`, `BinaryRandomVariable`